Bug 674129 - (CVE-2011-0523, CVE-2011-0524) CVE-2011-0523 CVE-2011-0524 gypsy: multiple vulnerabilities
CVE-2011-0523 CVE-2011-0524 gypsy: multiple vulnerabilities
Status: CLOSED WORKSFORME
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110112,reported=20110124,sou...
: Security
Depends On: 674131 822922
Blocks: 734557
  Show dependency treegraph
 
Reported: 2011-01-31 13:04 EST by Vincent Danen
Modified: 2016-03-10 14:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 14:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-01-31 13:04:37 EST
Two vulnerabilities were reported [1],[2] in gypsy, a GPS multiplexing daemon.

The first is that it reads arbitrary files as the root user on behalf of a regular user (CVE-2011-0523).  The second is that there is a buffer overflow in nmea device input handling which could potentially lead to privilege escalation (CVE-2011-0524).  Both issues have been reported upstream [3], however there has been no response (the Ubuntu bug indicates upstream was noticed 20101214 with no response.  There is also a SUSE bug [4] with some further information.

[1] http://article.gmane.org/gmane.comp.security.oss.general/4124
[2] https://bugs.launchpad.net/ubuntu/+source/gypsy/+bug/690323
[3] https://bugs.freedesktop.org/show_bug.cgi?id=33431
[4] https://bugzilla.novell.com/show_bug.cgi?id=666839#c3
Comment 1 Vincent Danen 2011-01-31 13:08:01 EST
It also looks as though this software may be abandoned.  There is no upstream activity since June 2010: http://cgit.freedesktop.org/gypsy/
Comment 2 Vincent Danen 2011-01-31 13:08:38 EST
Created gypsy tracking bugs for this issue

Affects: fedora-all [bug 674131]
Comment 3 Peter Robinson 2011-01-31 13:13:18 EST
Upstream isn't abandoned but there's not a lot of churn. I'll poke upstream directly to get a response.
Comment 4 Vincent Danen 2011-01-31 13:30:52 EST
Many thanks for that, Peter.
Comment 5 Josh Bressers 2011-04-07 15:33:53 EDT
Hi Peter,

Any update on this from upstream?
Comment 6 Peter Robinson 2011-04-08 04:20:31 EDT
I reported it on the meego bugzilla as I'd not got any response from the maintainers. https://bugs.meego.com/show_bug.cgi?id=14396

It seems there's a patch been added (only just saw it) but I'm not able to make a judgement on whether it fixes the problem. Quite happy to patch and push it in Fedora if someone can review and ACK it.
Comment 7 Vincent Danen 2011-04-28 17:31:58 EDT
Peter, can you attach the patch to this bug?  I tried to load up that bug and don't have an account there (so I suspect I won't have privileges if I go ahead and make one).  You can make the attachment private (or email it to me directly perhaps).

Thanks,
Comment 8 Peter Robinson 2011-04-28 18:26:51 EDT
I've emailed it as I couldn't see how to set the attachment as private, only the entire bug.
Comment 10 Vincent Danen 2011-04-28 19:35:37 EDT
Thanks, Peter.  I've got it.  I think that patch should be ok; might be nice to get it into Fedora and test it out if nothing else.  The patch only addresses CVE-2011-0523 (the first issue) from what I can tell, and not the buffer overflow in nmea device handling.  Has that been discussed upstream at all?

I still see no activity in the upstream git -- do we know if this patch will land there?
Comment 12 Bastien Nocera 2011-10-12 07:21:02 EDT
Waiting on upstream to review the patches:
https://bugs.freedesktop.org/show_bug.cgi?id=33431

Feel free to comment there about the patch itself, and I'll iterate.
Comment 14 Ramon de C Valle 2012-01-24 09:56:05 EST
Hi Bastien, do you have any update on this?
Comment 19 Stefan Cornelius 2012-05-18 10:02:01 EDT
Created gypsy tracking bugs for this issue

Affects: fedora-all [bug 822922]
Comment 21 Peter Robinson 2016-03-10 14:55:26 EST
Upstream is dead, It's been retired in F-24+

Note You need to log in before you can comment on or make changes to this bug.